Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb.impl
Class ContainerTypeImpl

    java.lang.Object
      org.infoml.jaxb.impl.ContainerTypeImpl

All Implemented Interfaces:
  ContainerType

    public class ContainerTypeImpl

extends java.lang.Object
implements ContainerType

Nested Class Summary
`class` | `ContainerTypeImpl.Unmarshaller`

Field Summary
`protected java.lang.String` | `_Category`
`protected com.sun.xml.bind.util.ListImpl` | `_ContainerNamePart`
`protected com.sun.xml.bind.util.ListImpl` | `_Date`
`protected SimpleRichTextWithSeparatorType` | `_NameAppendedText`
`static java.lang.Class` | `version`

Constructor Summary
`ContainerTypeImpl()`

Method Summary
`protected com.sun.xml.bind.util.ListImpl` | `_getContainerNamePart()`
`protected com.sun.xml.bind.util.ListImpl` | `_getDate()`
`com.sun.msv.verifier.DocumentDeclaration` | `createRawValidator()`
`org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler` | `createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)`
`java.lang.String` | `getCategory()` Gets the value of the category property.
`java.util.List` | `getContainerNamePart()` Gets the value of the ContainerNamePart property.
`java.util.List` | `getDate()` Gets the value of the Date property.
`SimpleRichTextWithSeparatorType` | `getNameAppendedText()` Gets the value of the nameAppendedText property.
`java.lang.Class` | `getPrimaryInterface()`
`void` | `serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `setCategory(java.lang.String value)` Sets the value of the category property.
`void` | `setNameAppendedText(SimpleRichTextWithSeparatorType value)` Sets the value of the nameAppendedText property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _Category

    protected java.lang.String _Category

### _ContainerNamePart

    protected com.sun.xml.bind.util.ListImpl _ContainerNamePart

### _Date

    protected com.sun.xml.bind.util.ListImpl _Date

### _NameAppendedText

    protected SimpleRichTextWithSeparatorType _NameAppendedText

### version

    public static final java.lang.Class version

Constructor Detail

### ContainerTypeImpl

    public ContainerTypeImpl()

Method Detail

### getCategory

    public java.lang.String getCategory()

  Description copied from interface: `ContainerType`
  Gets the value of the category property.

  Specified by:
    `getCategory` in interface `ContainerType`
  Returns:
    possible object is `String`

### setCategory

    public void setCategory(java.lang.String value)

  Description copied from interface: `ContainerType`
  Sets the value of the category property.

  Specified by:
    `setCategory` in interface `ContainerType`
  Parameters:
    `value` - allowed object is `String`

### _getContainerNamePart

    protected com.sun.xml.bind.util.ListImpl _getContainerNamePart()

### getContainerNamePart

    public java.util.List getContainerNamePart()

  Description copied from interface: `ContainerType`
  Gets the value of the ContainerNamePart property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ContainerNamePart property.

  For example, to add a new item, do as follows:

          getContainerNamePart().add(newItem);

  Objects of the following type(s) are allowed in the list `SimpleRichTextWithSeparatorType`

  Specified by:
    `getContainerNamePart` in interface `ContainerType`

### _getDate

    protected com.sun.xml.bind.util.ListImpl _getDate()

### getDate

    public java.util.List getDate()

  Description copied from interface: `ContainerType`
  Gets the value of the Date property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Date property.

  For example, to add a new item, do as follows:

          getDate().add(newItem);

  Objects of the following type(s) are allowed in the list `DateWithRoleType`

  Specified by:
    `getDate` in interface `ContainerType`

### getNameAppendedText

    public SimpleRichTextWithSeparatorType getNameAppendedText()

  Description copied from interface: `ContainerType`
  Gets the value of the nameAppendedText property.

  Specified by:
    `getNameAppendedText` in interface `ContainerType`
  Returns:
    possible object is `SimpleRichTextWithSeparatorType`

### setNameAppendedText

    public void setNameAppendedText(SimpleRichTextWithSeparatorType value)

  Description copied from interface: `ContainerType`
  Sets the value of the nameAppendedText property.

  Specified by:
    `setNameAppendedText` in interface `ContainerType`
  Parameters:
    `value` - allowed object is `SimpleRichTextWithSeparatorType`

### createUnmarshaller

    public org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)

### serializeBody

    public void serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeAttributes

    public void serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeURIs

    public void serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getPrimaryInterface

    public java.lang.Class getPrimaryInterface()

### createRawValidator

    public com.sun.msv.verifier.DocumentDeclaration createRawValidator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD